image: ocaml/opam:ubuntu

variables:
  GIT_STRATEGY: clone

stages:
  - build
  - test
  
build:
  stage: build
  script:
    - opam repo add verimag-sync-repo "http://www-verimag.imag.fr/DIST-TOOLS/SYNCHRONE/opam-repository"
    - opam update
    - opam install -y camlp4 ocamlfind oasis extlib
    - opam install rdbg 
    - make
    - make install

test_opam_test:
  stage: test
  script:
    - opam repo add verimag-sync-repo "http://www-verimag.imag.fr/DIST-TOOLS/SYNCHRONE/test/opam-repository"
    - opam update
    - opam install -y lustre-v6

